# Generated from nephos-server-0.7.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nephos-server

Name: rubygem-%{gem_name}
Version: 0.7.2
Release: 1%{?dist}
Summary: * fix regression on empty response * add unitary tests * improve gemspec * fix severe regression on responder * fix environment bug * add continuous integration with gitlab * fix executables requirements to be testable * add cookies management * fix regression on content-type from v0.4 * fix nephos gem (binaries can be used out of an application) * improve code documentation (annotations above the methods and classes) * fix content type for json to application/json * improve executables: version taking in count
License: GNU/GPLv3
URL: https://github.com/Nephos/NephosRubyServer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
a minimalist server, based on rack, with routing, rendering, and controllers.
Designed for quick api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/nephos-server
%{_bindir}/nephos-generator
%{_bindir}/nephos-status
%{gem_instdir}/DOCUMENTATION
%{gem_instdir}/Procfile
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/routes.rb
%{gem_instdir}/version
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nephos-server.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.7.2-1
- Initial package
